package com.bocloud.cmp.model;

import com.bocloud.common.utils.DateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import java.util.Date;

/**
 * 管理节点业务类
 *
 * @author dongKai
 * @version 1.0
 * @since 2016.04.27
 */
public class ClusterManagerBean {
    private Long id; // ID
    private Long clusterId;// 集群ID
    private Long managerId;// 节点ID
    private String type;// 节点类型
    @JsonSerialize(using = DateSerializer.class)
    private Date gmtCreate;// 创建时间
    private Long creatorId;// 创建者ID
    private String name; //
    private String osName; // OS名称
    private Boolean virtualized; // 是否支持虚拟化
    private Boolean supportDocker; // 是否支持Docker
    private Integer memoryCapacity; // 内存大小

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the clusterId
     */
    public Long getClusterId() {
        return clusterId;
    }

    /**
     * @param clusterId the clusterId to set
     */
    public void setClusterId(Long clusterId) {
        this.clusterId = clusterId;
    }

    /**
     * @return the managerId
     */
    public Long getManagerId() {
        return managerId;
    }

    /**
     * @param managerId the managerId to set
     */
    public void setManagerId(Long managerId) {
        this.managerId = managerId;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * @return the gmtCreate
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * @param gmtCreate the gmtCreate to set
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * @return the creatorId
     */
    public Long getCreatorId() {
        return creatorId;
    }

    /**
     * @param creatorId the creatorId to set
     */
    public void setCreatorId(Long creatorId) {
        this.creatorId = creatorId;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the osName
     */
    public String getOsName() {
        return osName;
    }

    /**
     * @param osName the osName to set
     */
    public void setOsName(String osName) {
        this.osName = osName;
    }

    /**
     * @return the virtualized
     */
    public Boolean getVirtualized() {
        return virtualized;
    }

    /**
     * @param virtualized the virtualized to set
     */
    public void setVirtualized(Boolean virtualized) {
        this.virtualized = virtualized;
    }

    /**
     * @return the supportDocker
     */
    public Boolean getSupportDocker() {
        return supportDocker;
    }

    /**
     * @param supportDocker the supportDocker to set
     */
    public void setSupportDocker(Boolean supportDocker) {
        this.supportDocker = supportDocker;
    }

    /**
     * @return the memoryCapacity
     */
    public Integer getMemoryCapacity() {
        return memoryCapacity;
    }

    /**
     * @param memoryCapacity the memoryCapacity to set
     */
    public void setMemoryCapacity(Integer memoryCapacity) {
        this.memoryCapacity = memoryCapacity;
    }
}
